Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.light.shadow
Class GLSLSpotLightShadow

    java.lang.Object
      de.grogra.imp3d.glsl.utility.GLSLShader
          de.grogra.imp3d.glsl.utility.GLSLManagedShader
              de.grogra.imp3d.glsl.light.GLSLLightShader
                  de.grogra.imp3d.glsl.light.GLSLSpotLight
                      de.grogra.imp3d.glsl.light.shadow.GLSLSpotLightShadow

All Implemented Interfaces:
  GLSLOpenGLObject

    public class GLSLSpotLightShadow

extends GLSLSpotLight

Implementation of the spot light type.

Author:
  Konni Hartmann

Field Summary
`protected java.lang.String` | `shadowMap`

Fields inherited from class de.grogra.imp3d.glsl.light.GLSLSpotLight
`col0, fade_distance, fade_power, lightPos, radientPower, spotCosCutoff, spotDirection, spotInnerCosCutoff`

Fields inherited from class de.grogra.imp3d.glsl.light.GLSLLightShader
`spec, stdV`

Fields inherited from class de.grogra.imp3d.glsl.utility.GLSLManagedShader
`config`

Constructor Summary
`GLSLSpotLightShadow()`

Method Summary
`boolean` | `canDisplayShadows()`
`GLSLShader` | `getInstance()` For "hardcompiled" Shaders this method should return a new instance
`java.lang.String` | `getLightFunction()` Sets middle part of a light shader (after properties have been extracted from deferred-shading-textures
`void` | `setupShader(javax.media.opengl.GL gl, GLSLDisplay disp, java.lang.Object data)`

Methods inherited from class de.grogra.imp3d.glsl.light.GLSLSpotLight
`getFragmentShader, instanceFor, needsRecompilation, setupDynamicUniforms`

Methods inherited from class de.grogra.imp3d.glsl.light.GLSLLightShader
`getLightShaderConfig, getVertexShader, toString`

Methods inherited from class de.grogra.imp3d.glsl.utility.GLSLManagedShader
`deleteShader, getConfig, getMaterial_stamp, setConfig, setMaterial_stamp`

Methods inherited from class de.grogra.imp3d.glsl.utility.GLSLShader
`activateShader, cleanup, getShaderProgramNumber, printProgramInfoLog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### shadowMap

    protected java.lang.String shadowMap

Constructor Detail

### GLSLSpotLightShadow

    public GLSLSpotLightShadow()

Method Detail

### canDisplayShadows

    public boolean canDisplayShadows()

  Overrides:
    `canDisplayShadows` in class `GLSLLightShader`

### getInstance

    public GLSLShader getInstance()

  Description copied from class: `GLSLShader`
  For "hardcompiled" Shaders this method should return a new instance

  Overrides:
    `getInstance` in class `GLSLSpotLight`
  Returns:

### getLightFunction

    public java.lang.String getLightFunction()

  Description copied from class: `GLSLLightShader`
  Sets middle part of a light shader (after properties have been extracted from deferred-shading-textures

  Overrides:
    `getLightFunction` in class `GLSLSpotLight`
  Returns:

### setupShader

    public void setupShader(javax.media.opengl.GL gl,
                            GLSLDisplay disp,
                            java.lang.Object data)

  Overrides:
    `setupShader` in class `GLSLSpotLight`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD